> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stashy.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a File

> Delete a file. Only the owner can delete.



## OpenAPI

````yaml DELETE /v1/files/{id}
openapi: 3.1.0
info:
  title: Stashy API
  version: 1.0.0
servers:
  - url: https://stashy.example.com
    description: Your Stashy instance
security:
  - BearerAuth: []
paths:
  /v1/files/{id}:
    delete:
      summary: DeleteFile
      description: Delete a file. Only the owner can delete.
      operationId: StorageService_DeleteFile
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: id
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stashy.v1alpha1.DeleteFileResponse'
components:
  schemas:
    stashy.v1alpha1.DeleteFileResponse:
      type: object
      title: DeleteFileResponse
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: opaque

````